Bug 93816 - Automatic table of content wrong page number when formated
Summary: Automatic table of content wrong page number when formated
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.3.5.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: TableofContents-Indexes
  Show dependency treegraph
 
Reported: 2015-08-31 17:24 UTC by Christian Pietzsch
Modified: 2021-06-24 03:47 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Document before bug occures (22.23 KB, application/vnd.oasis.opendocument.text)
2015-08-31 17:24 UTC, Christian Pietzsch
Details
document after bug occured (22.36 KB, application/vnd.oasis.opendocument.text)
2015-08-31 17:25 UTC, Christian Pietzsch
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Christian Pietzsch 2015-08-31 17:24:40 UTC
Created attachment 118293 [details]
Document before bug occures

Overview: 

If you modify an automatic table of contents in a certain wa, the page number gets corrupted.

Steps to Reproduce: Many steps to reproduce!

1) Open the sample file attached.
2) edit the table of contents.
3) insert a 0.4 cm tab between E# and E and one with 14.4 cm before the standard tab.
4) Close edit with okay (not sure if neccessary)
5) repeat the same for level 2 but with 1.6 cm and 14.8 cm.
6) again for level 3 with 3.6 and 17.8 cm
7) Click okay

Actual Results:

As soon as you click okay after step 6 one gets added to the Roman page numbers(so II gets III and so on)
If you take a look at the pages the page number hasn't changed (see page numbering at the bottom)
Another interesting observation is that if you delete the table the page break with format change and page numbering restart which was before the index page has vanished.
I tried to add another page break while the table was still there but the page numbers stayed the same.

If you add the page break with "start numbering from" and Format "Verzeichniss rechts) again and insert a new table the numbering is correct again.


Build Date & Hardware: Date and hardware of the build in which you first encountered the bug.

Test in LibreOffice Portable 4.3.5.2 on Windows 8 and and LO 5.0.1.2/5.0.0.5 in Ubuntu 15.04 and Windows 8.
(Sry I could only deliver the exact used build tomorrow)
Comment 1 Christian Pietzsch 2015-08-31 17:25:11 UTC
Created attachment 118294 [details]
document after bug occured
Comment 2 Buovjaga 2015-09-12 17:00:18 UTC
Reproduced.

Win 7 Pro 64-bit, Version: 5.0.1.2 (32-bit)
Build ID: 81898c9f5c0d43f3473ba111d7b351050be20261
Locale: fi-FI (fi_FI)
Comment 3 QA Administrators 2016-09-20 10:32:39 UTC Comment hidden (obsolete)
Comment 4 Christian Pietzsch 2016-09-21 09:27:58 UTC
Bug can still be reproduced in:

Version: 5.2.1.2
Build-ID: 5.2.1-2
CPU-Threads: 4; BS-Version: Linux 4.4; UI-Render: Standard; 
Gebietsschema: de-DE (de_DE.UTF-8); Calc: group

Operating System: Manjaro Linux16.08 64-bit
Comment 5 Christian Pietzsch 2017-09-01 17:16:45 UTC
The problem still exists in 
Version: 5.4.0.3
Build ID: 5.4.0-2
CPU threads: 4; OS: Linux 4.12; UI render: default; VCL: gtk3; 
Locale: de-DE (de_DE.UTF-8); Calc: group
Comment 6 QA Administrators 2018-09-02 02:50:24 UTC Comment hidden (obsolete)
Comment 7 Christian Pietzsch 2018-09-28 02:18:27 UTC
Bug still reproducible in 
 
Version: 6.1.0.3
Build ID: 6.1.0-2
CPU threads: 12; OS: Linux 4.18; UI render: default; VCL: gtk2; 
Locale: de-DE (en_US.UTF-8); Calc: CL
Comment 8 Christian Pietzsch 2019-06-24 12:53:46 UTC
Bug still present in
 6.3.0.0.beta1
Comment 9 QA Administrators 2021-06-24 03:47:03 UTC
Dear Christian Pietzsch,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug